List instance ports by network
curl --request GET \
--url https://api.gcore.com/cloud/v1/networks/{project_id}/{region_id}/{network_id}/ports \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/networks/{project_id}/{region_id}/{network_id}/ports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/networks/{project_id}/{region_id}/{network_id}/ports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"id": "8e009163-d526-4351-9266-93d9fd8fa8ef",
"instance_id": "bfc7824b-31b6-4a28-a0c4-7df137139215",
"instance_name": "instance_1"
}
]
}Networks
List instance ports by network
GET
/
cloud
/
v1
/
networks
/
{project_id}
/
{region_id}
/
{network_id}
/
ports
List instance ports by network
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Network ID
Example:
"b39792c3-3160-4356-912e-ba396c95cdcf"
Was this page helpful?
⌘I